unit MainF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, Grids, DBGrids, ExtCtrls, StdCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    EmployeeGrid: TDBGrid;
    Panel2: TPanel;
    HistoryGrid: TDBGrid;
    EmployeeNav: TDBNavigator;
    HistoryNav: TDBNavigator;
    SaveBtn: TButton;
    Label1: TLabel;
    DeptCombo: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure DeptComboChange(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
  private
    { Private declarations }
    procedure LoadDeptCombo;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses EmpD;

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  MainDm.EmployeeCds.Open;
  LoadDeptCombo;
end;

procedure TMainForm.LoadDeptCombo;
begin
  with MainDm do
  begin
    DeptQry.Open;
    while not DeptQry.Eof do
    begin
      DeptCombo.Items.Add(DeptQryDept_No.AsString + ' ' +
                          DeptQryDepartment.AsString);
      DeptQry.Next;
    end; //while
    DeptQry.Close;
  end; //with
end;

procedure TMainForm.DeptComboChange(Sender: TObject);
begin
  with MainDm.EmployeeCds do
  begin
    if Active then CheckBrowseMode;
    Close;
    Params.ParamByName('DEPT_NO').AsString := Copy(DeptCombo.Text, 1, 3);
    Open;
  end; //with
end;

procedure TMainForm.SaveBtnClick(Sender: TObject);
begin
  with MainDm do
  begin
    if EmployeeCds.ChangeCount > 0 then
    begin
      if HistoryCds.Active then HistoryCds.CheckBrowseMode;
      if EmployeeCds.Active then EmployeeCds.CheckBrowseMode;
      EmployeeCds.ApplyUpdates(0);
      EmployeeCds.Refresh;
    end; //if
  end; //with
end;

end.
